Package org.apache.storm.metricstore

# Enum Class AggLevel

java.lang.Object
java.lang.Enum<AggLevel>
org.apache.storm.metricstore.AggLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<AggLevel>`, `Constable`

public enum AggLevel extends Enum<AggLevel>
Specifies the available timeframes for Metric aggregation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGG_LEVEL_1_MIN`
  `AGG_LEVEL_10_MIN`
  `AGG_LEVEL_60_MIN`
  `AGG_LEVEL_NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getValue()`
  `static AggLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AggLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AGG_LEVEL_NONE

    public static final AggLevel AGG_LEVEL_NONE

  - ### AGG_LEVEL_1_MIN

    public static final AggLevel AGG_LEVEL_1_MIN

  - ### AGG_LEVEL_10_MIN

    public static final AggLevel AGG_LEVEL_10_MIN

  - ### AGG_LEVEL_60_MIN

    public static final AggLevel AGG_LEVEL_60_MIN

- ## Method Details

  - ### values

    public static AggLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AggLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public byte getValue()